/*****************************************************************************
 *
 *  Getting Started with the Explorer 16
 *
 *****************************************************************************
 * Hi and Welcome to getting started with Microchip Live Online classes!
 
 The purpose of this lab is to check that everything is installed and 
 connected correctly for the class. There is nothing to write or change
 in the lab.  Just follow the instructions here or in the Getting Started PDF
 file. If everything works you will see a password on the LCD.  That is your
 ticket to start the class.  If you run into trouble double check that you
 installed everything per the Getting Started instructions.  If you still have
 problems running this lab sign up for the Live Online class called
 "Getting Started with Microchip Live Online"
 ******************************************************************************
 To run this lab:
 1) Build All
 2) Run
 3) See the password on the LCD
 
 
 ******************************************************************************
 * Software License Agreement
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") is intended and supplied to you, the Company's
 * customer, for use solely and exclusively with products manufactured
 * by the Company. 
 *
 * The software is owned by the Company and/or its supplier, and is 
 * protected under applicable copyright laws. All rights are reserved. 
 * Any use in violation of the foregoing restrictions may subject the 
 * user to criminal sanctions under applicable laws, as well as to 
 * civil liability for the breach of the terms and conditions of this 
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES, 
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT, 
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR 
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Vidyadhar		  30/June/06	     ...	
 * Brant Ivey			7/3/07		Updated for v4.0 of class
 *****************************************************************************/

#include <p24FJ128GA010.h>
#include "lcd.h"
void TestBoard(unsigned char *MyString);
_CONFIG1(JTAGEN_OFF & GCP_OFF & GWRP_OFF & BKBUG_OFF & ICS_PGx2 & FWDTEN_OFF)
_CONFIG2(IESO_OFF & FCKSM_CSDCMD & OSCIOFNC_ON &  FNOSC_FRC & POSCMOD_NONE)
unsigned char  MyString[] = "!DFHM,\"4rpqq";
int main(void)
{
	LCDInit();
	TestBoard(MyString);
    int i = 0;
	while(MyString[i]!=0)
	{
	  LCDPut(MyString[i]);
	  i++;
	}
	while(1);
}
